<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.jay.monitor.data</groupId>
        <artifactId>jay-monitor-data-web</artifactId>
        <version>1.1-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>jay-monitor-data-server</artifactId>

    <properties>
        <elasticsearch.version>7.3.1</elasticsearch.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.ruoyi.avue</groupId>
            <artifactId>ruoyi-avue-client</artifactId>
        </dependency>
        <dependency>
            <groupId>com.jay.monitor.data</groupId>
            <artifactId>jay-monitor-data-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.cat.file.message</groupId>
            <artifactId>spring-cat-file</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>cn.zxporz</groupId>
            <artifactId>esclientrhl</artifactId>
            <version>7.0.0</version>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>

        <dependency>
            <groupId>com.jay.monitor.data</groupId>
            <artifactId>jay-monitor-data-core</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
        </dependency>

        <!-- spring boot web -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>

        <dependency>
            <groupId>nz.net.ultraq.thymeleaf</groupId>
            <artifactId>thymeleaf-layout-dialect</artifactId>
            <version>2.3.0</version>
        </dependency>

        <!--        <dependency>-->
        <!--            <groupId>com.github.xiaoymin</groupId>-->
        <!--            <artifactId>swagger-bootstrap-ui</artifactId>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>com.aliyun.oss</groupId>
            <artifactId>aliyun-sdk-oss</artifactId>
            <version>3.10.2</version>
        </dependency>

        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>5.1.47</version>
        </dependency>

        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
        </dependency>
        <!-- 请注意groupId和github的方式有一些区别哦 -->
<!--        <dependency>-->
<!--            <groupId>com.github.hui.media</groupId>-->
<!--            <artifactId>markdown-plugin</artifactId>-->
<!--            <version>2.5.2</version>-->
<!--        </dependency>-->
        <!--        <dependency>-->
        <!--            <groupId>org.springframework.boot</groupId>-->
        <!--            <artifactId>spring-boot-starter-quartz</artifactId>-->
        <!--        </dependency>-->
        <!--        <dependency>-->
        <!--            <groupId>org.mybatis.caches</groupId>-->
        <!--            <artifactId>mybatis-ehcache</artifactId>-->
        <!--        </dependency>-->

    </dependencies>
    <build>
        <finalName>jay-monitor-data-server</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
                <excludes>
                    <exclude>**/*.woff</exclude>
                    <exclude>**/*.woff2</exclude>
                    <exclude>**/*.ttf</exclude>
                    <!--                    <exclude>**/*.svg</exclude>-->
                </excludes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <includes>
                    <include>**/*.woff</include>
                    <include>**/*.woff2</include>
                    <include>**/*.ttf</include>
                    <!--                    <include>**/*.svg</include>-->
                </includes>
            </resource>
        </resources>
    </build>

<!--    <repositories>-->
<!--        <repository>-->
<!--            <id>jitpack.io</id>-->
<!--            <url>http://jitpack.io</url>-->
<!--        </repository>-->
<!--        <repository>-->
<!--            <id>yihui-maven-repo</id>-->
<!--            <url>https://raw.githubusercontent.com/liuyueyi/maven-repository/master/repository</url>-->
<!--        </repository>-->
<!--        &lt;!&ndash;        <repository>&ndash;&gt;-->
<!--        &lt;!&ndash;            <id>yihui-maven-repo</id>&ndash;&gt;-->
<!--        &lt;!&ndash;            <url>https://raw.githubusercontent.com/liuyueyi/maven-repository/master/repository</url>&ndash;&gt;-->
<!--        &lt;!&ndash;        </repository>&ndash;&gt;-->
<!--    </repositories>-->
</project>